Fedora 13 : nss_db-2.2.3-0.3.pre1.fc13 (2010-6203)

Low Nessus Plugin ID 47423


The remote Fedora host is missing a security update.


Stephane Chazelas reported that the nss_db module attempts to read a DB_CONFIG file in the current directory when it is used. If the contents of the file can't be parsed properly, the copy of libdb which nss_db uses will print an error message. If nss_db is invoked from a setuid process, it may then expose privileged information to the unprivileged user who started the process. This update imports Kees Cook's fix for the issue (CVE-2010-0826).

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected nss_db package.

See Also



Plugin Details

Severity: Low

ID: 47423

File Name: fedora_2010-6203.nasl

Version: $Revision: 1.9 $

Type: local

Agent: unix

Published: 2010/07/01

Modified: 2016/05/11

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 1.9

Temporal Score: 1.7

Vector: CVSS2#AV:L/AC:M/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:ND/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:nss_db, cpe:/o:fedoraproject:fedora:13

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/04/09

Reference Information

CVE: CVE-2010-0826

BID: 39132

FEDORA: 2010-6203